#!/bin/bash

package=subversion
version=-1.6.13

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*

prefix=$GEXTSVN_INSTALLED

export CFLAGS="-I$prefix/include $CFLAGS"
export CXXFLAGS="-I$prefix/include $CXXFLAGS"
export CPPFLAGS="-I$prefix/include $CPPFLAGS"
export LDFLAGS="-L$prefix/lib $LDFLAGS"

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version $prefix --with-sqlite=$prefix

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version




